# SPDX-License-Identifier: Apache-2.0
# Copyright IBM Corp 2023

FROM registry.access.redhat.com/ubi8/python-311:latest

USER root

RUN pip install --upgrade pip
ADD requirements.txt /tmp
RUN pip install  -r /tmp/requirements.txt

RUN mkdir -p /opt/app-root/src 

ADD src/python /opt/app-root/src/python
RUN cd /opt/app-root/src/python

WORKDIR /opt/app-root/src/python
CMD ["/opt/app-root/bin/gunicorn","--reload","-c","gunicorn_config.py","wsgi:app","--log-level","debug","--access-logfile", "-"]
#CMD ["/usr/bin/tail","-f","/dev/null"]


#/opt/app-root/bin/gunicorn --reload -c gunicorn_config.py wsgi:app --log-level debug --access-logfile -